org.apache.ignite.internal.processors.cache.binary

## Interface CacheObjectBinaryProcessor

All Superinterfaces:
  GridComponent, GridProcessor, IgniteCacheObjectProcessor

All Known Implementing Classes:
  CacheObjectBinaryProcessorImpl

    public interface CacheObjectBinaryProcessor
    extends IgniteCacheObjectProcessor

Extended cache object processor interface with additional methods for binary.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Method Summary

Methods
`void` `addMeta(int typeId, BinaryType newMeta)`
`IgniteBinary` `binary()`
`BinaryObject` `buildEnum(String typeName, int ord)`
`BinaryObjectBuilder` `builder(BinaryObject binaryObj)` Creates builder initialized by existing binary object.
`BinaryObjectBuilder` `builder(String clsName)`
`Object` `marshalToBinary(Object obj)`
`Collection<BinaryType>` `metadata()`
`Map<Integer,BinaryType>` `metadata(Collection<Integer> typeIds)`
`BinaryType` `metadata(int typeId)`
`BinaryType` `metadata(int typeId, int schemaId)`
`void` `updateMetadata(int typeId, String typeName, String affKeyFieldName, Map<String,BinaryFieldMetadata> fieldTypeIds, boolean isEnum)`

### Methods inherited from interface org.apache.ignite.internal.processors.cacheobject.IgniteCacheObjectProcessor

`affinityField, contextForCache, field, hasField, immutable, isBinaryEnabled, isBinaryObject, marshal, onContinuousProcessorStarted, onUtilityCacheStarted, prepareForCache, toCacheKeyObject, toCacheObject, toCacheObject, toCacheObject, toCacheObject, toKeyCacheObject, toKeyCacheObject, typeId, typeId, unmarshal, unwrapTemporary`

### Methods inherited from interface org.apache.ignite.internal.GridComponent

`collectGridNodeData, collectJoiningNodeData, discoveryDataType, onDisconnected, onGridDataReceived, onJoiningNodeDataReceived, onKernalStart, onKernalStop, onReconnected, printMemoryStats, start, stop, validateNode`

### Method Detail

#### builder

    BinaryObjectBuilder builder(String clsName)

Parameters:
  `clsName` - Class name.
Returns:
  Builder.

#### builder

    BinaryObjectBuilder builder(BinaryObject binaryObj)

Creates builder initialized by existing binary object.

Parameters:
  `binaryObj` - Binary object to edit.
Returns:
  Binary builder.

#### addMeta

    void addMeta(int typeId,
               BinaryType newMeta)
                 throws IgniteException

Parameters:
  `typeId` - Type ID.
  `newMeta` - New meta data.
Throws:
  `IgniteException` - In case of error.

#### updateMetadata

    void updateMetadata(int typeId,
                      String typeName,
                      @Nullable
                      String affKeyFieldName,
                      Map<String,BinaryFieldMetadata> fieldTypeIds,
                      boolean isEnum)
                        throws IgniteException

Parameters:
  `typeId` - Type ID.
  `typeName` - Type name.
  `affKeyFieldName` - Affinity key field name.
  `fieldTypeIds` - Fields map.
  `isEnum` - Enum flag.
Throws:
  `IgniteException` - In case of error.

#### metadata

    @Nullable
    BinaryType metadata(int typeId)
                        throws IgniteException

Parameters:
  `typeId` - Type ID.
Returns:
  Meta data.
Throws:
  `IgniteException` - In case of error.

#### metadata

    @Nullable
    BinaryType metadata(int typeId,
                               int schemaId)
                        throws IgniteException

Parameters:
  `typeId` - Type ID.
  `schemaId` - Schema ID.
Returns:
  Meta data.
Throws:
  `IgniteException` - In case of error.

#### metadata

    Map<Integer,BinaryType> metadata(Collection<Integer> typeIds)
                                     throws IgniteException

Parameters:
  `typeIds` - Type ID.
Returns:
  Meta data.
Throws:
  `IgniteException` - In case of error.

#### metadata

    Collection<BinaryType> metadata()
                                    throws IgniteException

Returns:
  Metadata for all types.
Throws:
  `IgniteException` - In case of error.

#### buildEnum

    BinaryObject buildEnum(String typeName,
                         int ord)
                           throws IgniteException

Parameters:
  `typeName` - Type name.
  `ord` - ordinal.
Returns:
  Enum object.
Throws:
  `IgniteException` - If failed.

#### binary

    IgniteBinary binary()
                        throws IgniteException

Specified by:
  `binary` in interface `IgniteCacheObjectProcessor`
Returns:
  Binaries interface.
Throws:
  `IgniteException` - If failed.

#### marshalToBinary

    Object marshalToBinary(Object obj)
                           throws IgniteException

Parameters:
  `obj` - Original object.
Returns:
  Binary object (in case binary marshaller is used).
Throws:
  `IgniteException` - If failed.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017